using SWRIS.Enums;
using System.ComponentModel;

namespace SWRIS.Models
{
    public class LimitModel : INotifyPropertyChanged
    {
        private string name;
        private LimitState state;
        private bool isEnable;

        public string Name { get => name; set { name = value; OnPropertyChanged("Name"); } }
        public LimitState State { get => state; set { state = value; OnPropertyChanged("State"); } }
        public bool IsEnable { get => isEnable; set { isEnable = value; OnPropertyChanged("IsEnable"); } }

        public event PropertyChangedEventHandler PropertyChanged;
        protected internal virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
